Skip to main content
GET
/
auth
/
me
Get current user
curl --request GET \
  --url https://api.nova-cloud.ai/auth/me \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "email": "jsmith@example.com",
  "tier": "standard",
  "max_vms": 3,
  "max_hourly_spend": 8,
  "credit_balance": 125.5,
  "status": "active",
  "created_at": "2023-11-07T05:31:56Z",
  "totp_enabled": true,
  "email_verified": true,
  "auth_provider": "email"
}

Authorizations

Authorization
string
header
required

Use a JWT access token or API key (prefixed with nv_)

Response

User information

id
integer

User ID

email
string<email>
tier
string
Example:

"standard"

max_vms
integer
Example:

3

max_hourly_spend
number
Example:

8

credit_balance
number
Example:

125.5

status
string
Example:

"active"

created_at
string<date-time>
totp_enabled
boolean
email_verified
boolean
auth_provider
string
Example:

"email"